/**
 * Licensed to Jasig under one or more contributor license
 * agreements. See the NOTICE file distributed with this work
 * for additional information regarding copyright ownership.
 * Jasig licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a
 * copy of the License at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.jasig.ssp.transferobject.reports;

import java.io.Serializable;
import java.util.ArrayList;

import org.jasig.ssp.model.Task;


/**
 * SpecialServicesReportingTO transfer object
 */
public class StudentActionPlanTO 
		implements Serializable {

	private static final long serialVersionUID = -6470796322082662019L;
	final ArrayList<Task> tasks;
	final String challengeName;
	final String challengeDescription;
	
	public StudentActionPlanTO(ArrayList<Task> tasks, String challengeName,
			String challengeDescription) {
		super();
		this.tasks = tasks;
		this.challengeName = challengeName;
		this.challengeDescription = challengeDescription;
	}

	public ArrayList<Task> getTasks() {
		return tasks;
	}

	public String getChallengeName() {
		return challengeName;
	}

	public String getChallengeDescription() {
		return challengeDescription;
	}

}
